Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.feature.value
Class MultipleFeatureValue

    java.lang.Object
      org.maltparser.core.feature.value.FunctionValue
          org.maltparser.core.feature.value.FeatureValue
              org.maltparser.core.feature.value.MultipleFeatureValue

    public class MultipleFeatureValue

extends FeatureValue

Since:
  1.0
Author:
  Johan Hall

Field Summary
`protected SortedMap<Integer,String>` | `featureValues`

Fields inherited from class org.maltparser.core.feature.value.FeatureValue
`nullValue`

Fields inherited from class org.maltparser.core.feature.value.FunctionValue
`function`

Constructor Summary
`MultipleFeatureValue(Function function)`

Method Summary
`void` | `addFeatureValue(int code, String Symbol)`
`boolean` | `equals(Object obj)`
`Set<Integer>` | `getCodes()`
`int` | `getFirstCode()`
`String` | `getFirstSymbol()`
`Set<String>` | `getSymbols()`
`boolean` | `isMultiple()`
`void` | `reset()`
`protected void` | `setFeatureValues(SortedMap<Integer,String> featureValues)`
`String` | `toString()`

Methods inherited from class org.maltparser.core.feature.value.FeatureValue
`isNullValue, setNullValue`

Methods inherited from class org.maltparser.core.feature.value.FunctionValue
`getFunction, setFunction`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### featureValues

    protected SortedMap<Integer,String> featureValues

Constructor Detail

### MultipleFeatureValue

    public MultipleFeatureValue(Function function)

Method Detail

### reset

    public void reset()

  Overrides:
    `reset` in class `FeatureValue`

### addFeatureValue

    public void addFeatureValue(int code,
                                String Symbol)

### setFeatureValues

    protected void setFeatureValues(SortedMap<Integer,String> featureValues)

### getCodes

    public Set<Integer> getCodes()

### getFirstCode

    public int getFirstCode()

### getSymbols

    public Set<String> getSymbols()

### getFirstSymbol

    public String getFirstSymbol()

### isMultiple

    public boolean isMultiple()

  Specified by:
    `isMultiple` in class `FeatureValue`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `FeatureValue`

### toString

    public String toString()

  Overrides:
    `toString` in class `FeatureValue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.